NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
SRCON0           EQU 0x0F68
SRCON1           EQU 0x0F69
CM2CON0          EQU 0x0F6B
CM2CON1          EQU 0x0F6C
CM1CON0          EQU 0x0F6D
SSPMSK           EQU 0x0F6F
SLRCON           EQU 0x0F76
WPUA             EQU 0x0F77
WPUB             EQU 0x0F78
IOCA             EQU 0x0F79
IOCB             EQU 0x0F7A
ANSEL            EQU 0x0F7E
ANSELH           EQU 0x0F7F
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
DDRA             EQU 0x0F92
TRISA            EQU 0x0F92
DDRB             EQU 0x0F93
TRISB            EQU 0x0F93
DDRC             EQU 0x0F94
TRISC            EQU 0x0F94
OSCTUNE          EQU 0x0F9B
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
EEDATA           EQU 0x0FA8
EEADR            EQU 0x0FA9
RCSTA            EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXREG            EQU 0x0FAD
RCREG            EQU 0x0FAE
SPBRG            EQU 0x0FAF
SPBRGH           EQU 0x0FB0
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
ECCP1AS          EQU 0x0FB6
PWM1CON          EQU 0x0FB7
BAUDCON          EQU 0x0FB8
BAUDCTL          EQU 0x0FB8
PSTRCON          EQU 0x0FB9
REFCON0          EQU 0x0FBA
VREFCON0         EQU 0x0FBA
REFCON1          EQU 0x0FBB
VREFCON1         EQU 0x0FBB
REFCON2          EQU 0x0FBC
VREFCON2         EQU 0x0FBC
CCP1CON          EQU 0x0FBD
CCPR1            EQU 0x0FBE
CCPR1L           EQU 0x0FBE
CCPR1LH          EQU 0x0FBF
CCPR1H           EQU 0x0FBF
ADCON2           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSPCON2          EQU 0x0FC5
SSPCON1          EQU 0x0FC6
SSPSTAT          EQU 0x0FC7
SSPADD           EQU 0x0FC8
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
OSCCON2          EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82

; SRCON0
SRPR = 0
SRPS = 1
SRNQEN = 2
SRQEN = 3
SRLEN = 7
SRCLK0 = 4
SRCLK1 = 5
SRCLK2 = 6

; SRCON1
SRRC1E = 0
SRRC2E = 1
SRRCKE = 2
SRRPE = 3
SRSC1E = 4
SRSC2E = 5
SRSCKE = 6
SRSPE = 7

; CM2CON0
C2R = 2
C2SP = 3
C2POL = 4
C2OE = 5
C2OUT_CM2CON0 = 6
C2ON = 7
C2CH0 = 0
C2CH1 = 1

; CM2CON1
C2SYNC = 0
C1SYNC = 1
C2HYS = 2
C1HYS = 3
C2RSEL = 4
C1RSEL = 5
MC2OUT = 6
MC1OUT = 7

; CM1CON0
C1R = 2
C1SP = 3
C1POL = 4
C1OE = 5
C1OUT_CM1CON0 = 6
C1ON = 7
C1CH0 = 0
C1CH1 = 1

; SSPMSK
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; SLRCON
SLRA = 0
SLRB = 1
SLRC = 2

; WPUA
WPUA0 = 0
WPUA1 = 1
WPUA2 = 2
WPUA3 = 3
WPUA4 = 4
WPUA5 = 5

; WPUB
WPUB4 = 4
WPUB5 = 5
WPUB6 = 6
WPUB7 = 7

; IOCA
IOCA0 = 0
IOCA1 = 1
IOCA2 = 2
IOCA3 = 3
IOCA4 = 4
IOCA5 = 5

; IOCB
IOCB4 = 4
IOCB5 = 5
IOCB6 = 6
IOCB7 = 7

; ANSEL
ANS0 = 0
ANS1 = 1
ANS2 = 2
ANS3 = 3
ANS4 = 4
ANS5 = 5
ANS6 = 6
ANS7 = 7
ANSEL0 = 0
ANSEL1 = 1
ANSEL2 = 2
ANSEL3 = 3
ANSEL4 = 4
ANSEL5 = 5
ANSEL6 = 6
ANSEL7 = 7

; ANSELH
ANS8 = 0
ANS9 = 1
ANS10 = 2
ANS11 = 3
ANSEL8 = 0
ANSEL9 = 1
ANSEL10 = 2
ANSEL11 = 3

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
AN0 = 0
AN1 = 1
AN2 = 2
MCLR = 3
AN3 = 4
T13CKI = 5
CVREF = 0
C12IN0M = 1
C1OUT_PORTA = 2
NOT_MCLR = 3
OSC2 = 4
OSC1 = 5
VREFM = 0
VREFP = 1
T0CKI = 2
CLKOUT = 4
CLKIN = 5
INT0 = 0
INT1 = 1
INT2 = 2
PGD = 0
PGC = 1
VPP = 3
C1INP = 0
SRQ = 2

; PORTB
RB4 = 4
LINRX = 5
LINCS = 6
LINTX = 7
AN10 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
PWRGD = 7
AN4 = 0
AN5 = 1
AN6 = 2
AN7 = 3
RC6 = 6
RC7 = 7
C12INP = 0
C12IN1M = 1
C12IN2M = 2
C12IN3M = 3
C12OUT = 4
P1D = 2
P1C = 3
P1B = 4
P1A = 5
C2INP = 0
PGM = 3
C2OUT_PORTC = 4
CCP1 = 5

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA4 = 4
LATA5 = 5

; LATB
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
PWRGD = 7
LATC6 = 6
LATC7 = 7

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA4 = 4
TRISA5 = 5
RA0 = 0
RA1 = 1
RA2 = 2
RA4 = 4
RA5 = 5

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA4 = 4
TRISA5 = 5
RA0 = 0
RA1 = 1
RA2 = 2
RA4 = 4
RA5 = 5

; DDRB
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; TRISB
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; DDRC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; OSCTUNE
PLLEN = 6
INTSRC = 7
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5

; PIE1
TMR1IE = 0
TMR2IE = 1
CCP1IE = 2
SSPIE = 3
TXIE = 4
RCIE = 5
ADIE = 6

; PIR1
TMR1IF = 0
TMR2IF = 1
CCP1IF = 2
SSPIF = 3
TXIF = 4
RCIF = 5
ADIF = 6

; IPR1
TMR1IP = 0
TMR2IP = 1
CCP1IP = 2
SSPIP = 3
TXIP = 4
RCIP = 5
ADIP = 6

; PIE2
TMR3IE = 1
BCLIE = 3
EEIE = 4
C2IE = 5
C1IE = 6
OSCFIE = 7

; PIR2
TMR3IF = 1
BCLIF = 3
EEIF = 4
C2IF = 5
C1IF = 6
OSCFIF = 7

; IPR2
TMR3IP = 1
BCLIP = 3
EEIP = 4
C2IP = 5
C1IP = 6
OSCFIP = 7

; EECON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
CFGS = 6
EEPGD = 7

; EEADR
EEADR0 = 0
EEADR1 = 1
EEADR2 = 2
EEADR3 = 3
EEADR4 = 4
EEADR5 = 5
EEADR6 = 6
EEADR7 = 7

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
ADEN = 3

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7

; T3CON
TMR3ON = 0
TMR3CS = 1
NOT_T3SYNC = 2
T3CCP1 = 3
RD16 = 7
T3SYNC = 2
T3CKPS0 = 4
T3CKPS1 = 5

; ECCP1AS
ECCPASE = 7
PSSBD0 = 0
PSSBD1 = 1
PSSAC0 = 2
PSSAC1 = 3
ECCPAS0 = 4
ECCPAS1 = 5
ECCPAS2 = 6

; PWM1CON
PRSEN = 7
PDC0 = 0
PDC1 = 1
PDC2 = 2
PDC3 = 3
PDC4 = 4
PDC5 = 5
PDC6 = 6

; BAUDCON
ABDEN = 0
WUE = 1
BRG16 = 3
CKTXP = 4
DTRXP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4

; BAUDCTL
ABDEN = 0
WUE = 1
BRG16 = 3
CKTXP = 4
DTRXP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4

; PSTRCON
STRA = 0
STRB = 1
STRC = 2
STRD = 3
STRSYNC = 4

; REFCON0
FVR1S0 = 4
FVR1S1 = 5
FVR1ST = 6
FVR1EN = 7

; VREFCON0
FVR1S0 = 4
FVR1S1 = 5
FVR1ST = 6
FVR1EN = 7

; REFCON1
D1NSS = 0
DAC1OE = 5
D1LPS = 6
D1EN = 7
D1NSS0 = 0
D1PSS0 = 2
D1PSS1 = 3

; VREFCON1
D1NSS = 0
DAC1OE = 5
D1LPS = 6
D1EN = 7
D1NSS0 = 0
D1PSS0 = 2
D1PSS1 = 3

; REFCON2
DAC1R0 = 0
DAC1R1 = 1
DAC1R2 = 2
DAC1R3 = 3
DAC1R4 = 4

; VREFCON2
DAC1R0 = 0
DAC1R1 = 1
DAC1R2 = 2
DAC1R3 = 3
DAC1R4 = 4

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7

; ADCON2
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON1
NVCFG0 = 0
NVCFG1 = 1
PVCFG0 = 2
PVCFG1 = 3

; ADCON0
ADON = 0
GO_NOT_DONE = 1
DONE = 1
CHS0 = 2
CHS1 = 3
CHS2 = 4
CHS3 = 5
NOT_DONE = 1
GO_DONE = 1
GO = 1

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
NOT_W = 2
NOT_A = 5
R_W = 2
D_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
T2OUTPS0 = 3
T2OUTPS1 = 4
T2OUTPS2 = 5
T2OUTPS3 = 6

; T1CON
TMR1ON = 0
TMR1CS = 1
NOT_T1SYNC = 2
T1OSCEN = 3
T1RUN = 6
RD16 = 7
T1SYNC = 2
T1CKPS0 = 4
T1CKPS1 = 5

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
SBOREN = 6
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4

; WDTCON
SWDTEN = 0
SWDTE = 0

; OSCCON2
LFIOFS = 0
HFIOFL = 1
PRI_SD = 2

; OSCCON
HFIOFS = 2
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
FLTS = 2
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT1IE = 3
INT2IE = 4
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT1E = 3
INT2E = 4
INT1P = 6
INT2P = 7

; INTCON2
RABIP = 0
TMR0IP = 2
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RABPU = 7
RBIP = 0
RABPU = 7
NOT_RBPU = 7

; INTCON
RABIF = 0
INT0IF = 1
TMR0IF = 2
RABIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
RBIF = 0
INT0F = 1
T0IF = 2
RBIE = 3
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKOVF = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4
STKFUL = 7

; LIST
