NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
RCSTA2           EQU 0x0F60
TXSTA2           EQU 0x0F61
TXREG2           EQU 0x0F62
RCREG2           EQU 0x0F63
SPBRG2           EQU 0x0F64
CCP2CON          EQU 0x0F65
CCPR2            EQU 0x0F66
CCPR2L           EQU 0x0F66
CCPR2LH          EQU 0x0F67
CCPR2H           EQU 0x0F67
CCP1CON          EQU 0x0F68
CCPR1            EQU 0x0F69
CCPR1L           EQU 0x0F69
CCPR1LH          EQU 0x0F6A
CCPR1H           EQU 0x0F6A
BAUDCON1         EQU 0x0F7E
SPBRGH1          EQU 0x0F7F
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
LATD             EQU 0x0F8C
LATE             EQU 0x0F8D
LATF             EQU 0x0F8E
LATG             EQU 0x0F8F
DDRA             EQU 0x0F92
TRISA            EQU 0x0F92
DDRB             EQU 0x0F93
TRISB            EQU 0x0F93
DDRC             EQU 0x0F94
TRISC            EQU 0x0F94
DDRD             EQU 0x0F95
TRISD            EQU 0x0F95
DDRE             EQU 0x0F96
TRISE            EQU 0x0F96
DDRF             EQU 0x0F97
TRISF            EQU 0x0F97
DDRG             EQU 0x0F98
TRISG            EQU 0x0F98
OSCTUNE          EQU 0x0F9B
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
RCSTA            EQU 0x0FAB
RCSTA1           EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXSTA1           EQU 0x0FAC
TXREG            EQU 0x0FAD
TXREG1           EQU 0x0FAD
RCREG1           EQU 0x0FAE
SPBRG            EQU 0x0FAF
SPBRG1           EQU 0x0FAF
PSPCON           EQU 0x0FB0
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
CMCON            EQU 0x0FB4
CVRCON           EQU 0x0FB5
ADCON2           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSP1CON2         EQU 0x0FC5
SSPCON2          EQU 0x0FC5
SSP1CON1         EQU 0x0FC6
SSPCON1          EQU 0x0FC6
SSP1STAT         EQU 0x0FC7
SSPSTAT          EQU 0x0FC7
SSP1ADD          EQU 0x0FC8
SSPADD           EQU 0x0FC8
SSP1BUF          EQU 0x0FC9
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
RCREG            EQU 0x0FD0
WDTCON           EQU 0x0FD1
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82
PORTD            EQU 0x0F83
PORTE            EQU 0x0F84
PORTF            EQU 0x0F85
PORTG            EQU 0x0F86

; RCSTA2
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D2 = 0
OERR2 = 1
FERR2 = 2
ADDEN2 = 3
CREN2 = 4
SREN2 = 5
RX92 = 6
SPEN2 = 7

; TXSTA2
TX9D = 0
TRMT = 1
BRGH = 2
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D2 = 0
TRMT2 = 1
BRGH2 = 2
SENDB2 = 3
SYNC2 = 4
TXEN2 = 5
TX92 = 6
CSRC2 = 7

; CCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
DCCP2Y = 4
DCCP2X = 5

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
DCCP1Y = 4
DCCP1X = 5

; BAUDCON1
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4
RCMT = 6

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
T0CKI = 4
AN4 = 5
OSC2 = 6
OSC1 = 7
VREFM = 2
VREFP = 3
CLKO = 6
CLKI = 7

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
INT0 = 0
INT1 = 1
INT2 = 2
INT3 = 3
KBI0 = 4
KBI1 = 5
KBI2 = 6
KBI3 = 7
CCP2_PORTB = 3
PGC = 6
PGD = 7

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7
T1OSO = 0
T1OSI = 1
SCL = 3
SDA = 4
CK1 = 6
DT1 = 7
T13CKI = 0
CCP2_PORTC = 1
CCP1 = 2
SCK = 3
SDI = 4
SDO = 5
TX1 = 6
RX1 = 7

; PORTD
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7
PSP0 = 0
PSP1 = 1
PSP2 = 2
PSP3 = 3
PSP4 = 4
PSP5 = 5
PSP6 = 6
PSP7 = 7

; PORTE
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7
RD = 0
WR = 1
CS = 2
CCP2_PORTE = 7

; PORTF
RF1 = 1
RF2 = 2
RF3 = 3
RF4 = 4
RF5 = 5
RF6 = 6
RF7 = 7
AN6 = 1
AN7 = 2
AN8 = 3
AN9 = 4
AN10 = 5
AN11 = 6
AN5 = 7
C2OUT_PORTF = 1
C1OUT_PORTF = 2
C2INB = 3
C2INA = 4
C1INB = 5
C1INA = 6
SS1 = 7
CVREF = 5

; PORTG
RG0 = 0
RG1 = 1
RG2 = 2
RG3 = 3
RG4 = 4
REPU = 6
RDPU = 7
CK2 = 1
DT2 = 2
TX2 = 1
RX2 = 2

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; LATD
LATD0 = 0
LATD1 = 1
LATD2 = 2
LATD3 = 3
LATD4 = 4
LATD5 = 5
LATD6 = 6
LATD7 = 7

; LATE
LATE0 = 0
LATE1 = 1
LATE2 = 2
LATE3 = 3
LATE4 = 4
LATE5 = 5
LATE6 = 6
LATE7 = 7

; LATF
LATF1 = 1
LATF2 = 2
LATF3 = 3
LATF4 = 4
LATF5 = 5
LATF6 = 6
LATF7 = 7

; LATG
LATG0 = 0
LATG1 = 1
LATG2 = 2
LATG3 = 3
LATG4 = 4
U1OD = 6
U2OD = 7

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; DDRB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; DDRC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; DDRD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; TRISD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; DDRE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
TRISE3 = 3
TRISE4 = 4
TRISE5 = 5
TRISE6 = 6
TRISE7 = 7
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7

; TRISE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
TRISE3 = 3
TRISE4 = 4
TRISE5 = 5
TRISE6 = 6
TRISE7 = 7
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7

; DDRF
TRISF1 = 1
TRISF2 = 2
TRISF3 = 3
TRISF4 = 4
TRISF5 = 5
TRISF6 = 6
TRISF7 = 7
RF1 = 1
RF2 = 2
RF3 = 3
RF4 = 4
RF5 = 5
RF6 = 6
RF7 = 7

; TRISF
TRISF1 = 1
TRISF2 = 2
TRISF3 = 3
TRISF4 = 4
TRISF5 = 5
TRISF6 = 6
TRISF7 = 7
RF1 = 1
RF2 = 2
RF3 = 3
RF4 = 4
RF5 = 5
RF6 = 6
RF7 = 7

; DDRG
TRISG0 = 0
TRISG1 = 1
TRISG2 = 2
TRISG3 = 3
TRISG4 = 4
CCP1OD = 5
CCP2OD = 6
SPIOD = 7
RG0 = 0
RG1 = 1
RG2 = 2
RG3 = 3
RG4 = 4

; TRISG
TRISG0 = 0
TRISG1 = 1
TRISG2 = 2
TRISG3 = 3
TRISG4 = 4
CCP1OD = 5
CCP2OD = 6
SPIOD = 7
RG0 = 0
RG1 = 1
RG2 = 2
RG3 = 3
RG4 = 4

; OSCTUNE
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5
PLLEN = 6
INTSRC = 7

; PIE1
TMR1IE = 0
TMR2IE = 1
SSPIE = 3
TX1IE = 4
RC1IE = 5
ADIE = 6
PSPIE = 7
SSP1IE = 3
TXIE = 4
RCIE = 5

; PIR1
TMR1IF = 0
TMR2IF = 1
SSPIF = 3
TX1IF = 4
RC1IF = 5
ADIF = 6
PSPIF = 7
SSP1IF = 3
TXIF = 4
RCIF = 5

; IPR1
TMR1IP = 0
TMR2IP = 1
SSPIP = 3
TX1IP = 4
RC1IP = 5
ADIP = 6
PSPIP = 7
SSP1IP = 3
TXIP = 4
RCIP = 5

; PIE2
TMR3IE = 1
LVDIE = 2
BCLIE = 3
CMIE = 6
OSCFIE = 7
BCL1IE = 3

; PIR2
TMR3IF = 1
LVDIF = 2
BCLIF = 3
CMIF = 6
OSCFIF = 7
BCL1IF = 3

; IPR2
TMR3IP = 1
LVDIP = 2
BCLIP = 3
CMIP = 6
OSCFIP = 7
BCL1IP = 3

; PIE3
CCP1IE = 1
CCP2IE = 2
TX2IE = 4
RC2IE = 5

; PIR3
CCP1IF = 1
CCP2IF = 2
TX2IF = 4
RC2IF = 5

; IPR3
CCP1IP = 1
CCP2IP = 2
TX2IP = 4
RC2IP = 5

; EECON1
WR = 1
WREN = 2
WRERR = 3
FREE = 4

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; RCSTA1
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; TXSTA1
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; PSPCON
PSPMODE = 4
IBOV = 5
OBF = 6
IBF = 7

; T3CON
TMR3ON = 0
TMR3CS = 1
NOT_T3SYNC = 2
T3CCP1 = 3
T3CCP2 = 6
RD16 = 7
T3SYNC = 2
T3CKPS0 = 4
T3CKPS1 = 5
T3INSYNC = 2

; CMCON
CIS = 3
C1INV = 4
C2INV = 5
C1OUT_CMCON = 6
C2OUT_CMCON = 7
CM0 = 0
CM1 = 1
CM2 = 2

; CVRCON
CVRSS = 4
CVRR = 5
CVROE = 6
CVREN = 7
CVR0 = 0
CVR1 = 1
CVR2 = 2
CVR3 = 3

; ADCON2
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON1
PCFG0 = 0
PCFG1 = 1
PCFG2 = 2
PCFG3 = 3
VCFG0 = 4
VCFG1 = 5

; ADCON0
ADON = 0
GO_NOT_DONE = 1
ADCAL = 7
GO_DONE = 1
CHS0 = 2
CHS1 = 3
CHS2 = 4
CHS3 = 5
DONE = 1
GO = 1
NOT_DONE = 1

; SSP1CON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP1CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP1STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
T2OUTPS0 = 3
T2OUTPS1 = 4
T2OUTPS2 = 5
T2OUTPS3 = 6

; T1CON
TMR1ON = 0
TMR1CS = 1
NOT_T1SYNC = 2
T1OSCEN = 3
T1RUN = 6
RD16 = 7
T1INSYNC = 2
T1CKPS0 = 4
T1CKPS1 = 5
T1SYNC = 2

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
NOT_CM = 5
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4
CM = 5

; RCREG
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
NOT_CM = 5
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4
CM = 5

; WDTCON
SWDTEN = 0
REGSLP = 7
SWDTE = 0

; OSCCON
IOFS = 2
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2
T0PS3 = 3

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT3IF = 2
INT1IE = 3
INT2IE = 4
INT3IE = 5
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT3F = 2
INT1E = 3
INT2E = 4
INT3E = 5
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
INT3IP = 1
TMR0IP = 2
INTEDG3 = 3
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
INT3P = 1
T0IP = 2
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4
STKOVF = 7
STKPTR0 = 0
STKPTR1 = 1
STKPTR2 = 2
STKPTR3 = 3
STKPTR4 = 4

; LIST
