NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
PMSTAT           EQU 0x0F40
PMSTATL          EQU 0x0F40
PMSTATLH         EQU 0x0F41
PMSTATH          EQU 0x0F41
PMEL             EQU 0x0F42
PMEN             EQU 0x0F42
PMEH             EQU 0x0F43
PMDIN2           EQU 0x0F44
PMDIN2L          EQU 0x0F44
PMDIN2LH         EQU 0x0F45
PMDIN2H          EQU 0x0F45
PMDOUT2          EQU 0x0F46
PMDOUT2L         EQU 0x0F46
PMDOUT2LH        EQU 0x0F47
PMDOUT2H         EQU 0x0F47
PMMODE           EQU 0x0F48
PMMODEL          EQU 0x0F48
PMMODELH         EQU 0x0F49
PMMODEH          EQU 0x0F49
PMCON            EQU 0x0F4A
PMCONL           EQU 0x0F4A
PMCONLH          EQU 0x0F4B
PMCONH           EQU 0x0F4B
UEP0             EQU 0x0F4C
UEP1             EQU 0x0F4D
UEP2             EQU 0x0F4E
UEP3             EQU 0x0F4F
UEP4             EQU 0x0F50
UEP5             EQU 0x0F51
UEP6             EQU 0x0F52
UEP7             EQU 0x0F53
UEP8             EQU 0x0F54
UEP9             EQU 0x0F55
UEP10            EQU 0x0F56
UEP11            EQU 0x0F57
UEP12            EQU 0x0F58
UEP13            EQU 0x0F59
UEP14            EQU 0x0F5A
UEP15            EQU 0x0F5B
UIE              EQU 0x0F5C
UEIE             EQU 0x0F5D
UADDR            EQU 0x0F5E
UCFG             EQU 0x0F5F
UFRM             EQU 0x0F60
UFRML            EQU 0x0F60
UFRMLH           EQU 0x0F61
UFRMH            EQU 0x0F61
UIR              EQU 0x0F62
UEIR             EQU 0x0F63
USTAT            EQU 0x0F64
UCON             EQU 0x0F65
PMDIN1           EQU 0x0F66
PMDIN1L          EQU 0x0F66
PMDIN1LH         EQU 0x0F67
PMDIN1H          EQU 0x0F67
PMADDR           EQU 0x0F68
PMADDRL          EQU 0x0F68
PMDOUT1          EQU 0x0F68
PMDOUT1L         EQU 0x0F68
PMADDRH          EQU 0x0F69
PMDOUT1H         EQU 0x0F69
CMSTAT           EQU 0x0F6A
CMSTATUS         EQU 0x0F6A
SSP2CON2         EQU 0x0F6B
SSP2CON1         EQU 0x0F6C
SSP2STAT         EQU 0x0F6D
SSP2ADD          EQU 0x0F6E
SSP2MSK          EQU 0x0F6E
SSP2BUF          EQU 0x0F6F
CCP5CON          EQU 0x0F70
CCPR5            EQU 0x0F71
CCPR5L           EQU 0x0F71
CCPR5LH          EQU 0x0F72
CCPR5H           EQU 0x0F72
CCP4CON          EQU 0x0F73
CCPR4            EQU 0x0F74
CCPR4L           EQU 0x0F74
CCPR4LH          EQU 0x0F75
CCPR4H           EQU 0x0F75
T4CON            EQU 0x0F76
CVRCON           EQU 0x0F77
PR4              EQU 0x0F77
TMR4             EQU 0x0F78
T3CON            EQU 0x0F79
TMR3             EQU 0x0F7A
TMR3L            EQU 0x0F7A
TMR3LH           EQU 0x0F7B
TMR3H            EQU 0x0F7B
BAUDCON2         EQU 0x0F7C
SPBRGH2          EQU 0x0F7D
BAUDCON          EQU 0x0F7E
BAUDCON1         EQU 0x0F7E
SPBRGH           EQU 0x0F7F
SPBRGH1          EQU 0x0F7F
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
LATD             EQU 0x0F8C
LATE             EQU 0x0F8D
LATF             EQU 0x0F8E
LATG             EQU 0x0F8F
DDRA             EQU 0x0F92
TRISA            EQU 0x0F92
DDRB             EQU 0x0F93
TRISB            EQU 0x0F93
DDRC             EQU 0x0F94
TRISC            EQU 0x0F94
DDRD             EQU 0x0F95
TRISD            EQU 0x0F95
DDRE             EQU 0x0F96
TRISE            EQU 0x0F96
DDRF             EQU 0x0F97
TRISF            EQU 0x0F97
DDRG             EQU 0x0F98
TRISG            EQU 0x0F98
OSCTUNE          EQU 0x0F9B
RCSTA2           EQU 0x0F9C
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
TXSTA2           EQU 0x0FA8
TXREG2           EQU 0x0FA9
RCREG2           EQU 0x0FAA
SPBRG2           EQU 0x0FAB
RCSTA            EQU 0x0FAC
RCSTA1           EQU 0x0FAC
TXSTA            EQU 0x0FAD
TXSTA1           EQU 0x0FAD
TXREG            EQU 0x0FAE
TXREG1           EQU 0x0FAE
RCREG            EQU 0x0FAF
RCREG1           EQU 0x0FAF
SPBRG            EQU 0x0FB0
SPBRG1           EQU 0x0FB0
CCP3CON          EQU 0x0FB1
ECCP3CON         EQU 0x0FB1
CCPR3            EQU 0x0FB2
CCPR3L           EQU 0x0FB2
CCPR3LH          EQU 0x0FB3
CCPR3H           EQU 0x0FB3
ECCP3DEL         EQU 0x0FB4
ECCP3AS          EQU 0x0FB5
CCP2CON          EQU 0x0FB6
ECCP2CON         EQU 0x0FB6
CCPR2            EQU 0x0FB7
CCPR2L           EQU 0x0FB7
CCPR2LH          EQU 0x0FB8
CCPR2H           EQU 0x0FB8
ECCP2DEL         EQU 0x0FB9
ECCP2AS          EQU 0x0FBA
CCP1CON          EQU 0x0FBB
ECCP1CON         EQU 0x0FBB
CCPR1            EQU 0x0FBC
CCPR1L           EQU 0x0FBC
CCPR1LH          EQU 0x0FBD
CCPR1H           EQU 0x0FBD
ECCP1DEL         EQU 0x0FBE
ECCP1AS          EQU 0x0FBF
WDTCON           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ANCON0           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ANCON1           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSP1CON2         EQU 0x0FC5
SSPCON2          EQU 0x0FC5
SSP1CON1         EQU 0x0FC6
SSPCON1          EQU 0x0FC6
SSP1STAT         EQU 0x0FC7
SSPSTAT          EQU 0x0FC7
SSP1ADD          EQU 0x0FC8
SSP1MSK          EQU 0x0FC8
SSPADD           EQU 0x0FC8
SSP1BUF          EQU 0x0FC9
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
PADCFG1          EQU 0x0FCC
TMR2             EQU 0x0FCC
ODCON3           EQU 0x0FCD
T1CON            EQU 0x0FCD
ODCON2           EQU 0x0FCE
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
ODCON1           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
CM2CON           EQU 0x0FD1
CM2CON1          EQU 0x0FD1
CM1CON           EQU 0x0FD2
CM1CON1          EQU 0x0FD2
OSCCON           EQU 0x0FD3
REFOCON          EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82
PORTD            EQU 0x0F83
PORTE            EQU 0x0F84
PORTF            EQU 0x0F85
PORTG            EQU 0x0F86

; PMSTATL
OB0E = 0
OB1E = 1
OB2E = 2
OB3E = 3
OBUF = 6
OBE = 7

; PMSTATH
IB0F = 0
IB1F = 1
IB2F = 2
IB3F = 3
IBOV = 6
IBF = 7

; PMEL
PTEN0 = 0
PTEN1 = 1
PTEN2 = 2
PTEN3 = 3
PTEN4 = 4
PTEN5 = 5
PTEN6 = 6
PTEN7 = 7

; PMEH
PTEN8 = 0
PTEN9 = 1
PTEN10 = 2
PTEN11 = 3
PTEN12 = 4
PTEN13 = 5
PTEN14 = 6
PTEN15 = 7

; PMMODEL
WAITE0 = 0
WAITE1 = 1
WAITM0 = 2
WAITM1 = 3
WAITM2 = 4
WAITM3 = 5
WAITB0 = 6
WAITB1 = 7

; PMMODEH
MODE16 = 2
BUSY = 7
MODE0 = 0
MODE1 = 1
INCM0 = 3
INCM1 = 4
IRQM0 = 5
IRQM1 = 6

; PMCONL
RDSP = 0
WRSP = 1
BEP = 2
CS1P = 3
CS2P = 4
ALP = 5
CSF0 = 6
CSF1 = 7

; PMCONH
PTRDEN = 0
PTWREN = 1
PTBEEN = 2
ADRMUX0 = 3
ADRMUX1 = 4
PSIDL = 5
PMPEN = 7

; UEP0
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP1
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP2
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP3
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP4
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP5
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP6
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP7
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP8
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP9
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP10
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP11
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP12
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP13
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP14
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP15
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UIE
URSTIE = 0
UERRIE = 1
ACTVIE = 2
TRNIE = 3
IDLEIE = 4
STALLIE = 5
SOFIE = 6

; UEIE
PIDEE = 0
CRC5EE = 1
CRC16EE = 2
DFN8EE = 3
BTOEE = 4
BTSEE = 7

; UADDR
ADDR0 = 0
ADDR1 = 1
ADDR2 = 2
ADDR3 = 3
ADDR4 = 4
ADDR5 = 5
ADDR6 = 6

; UCFG
FSEN = 2
UTRDIS = 3
UPUEN = 4
UOEMON = 6
UTEYE = 7
PPB0 = 0
PPB1 = 1

; UFRML
FRM0 = 0
FRM1 = 1
FRM2 = 2
FRM3 = 3
FRM4 = 4
FRM5 = 5
FRM6 = 6
FRM7 = 7

; UFRMH
FRM8 = 0
FRM9 = 1
FRM10 = 2

; UIR
URSTIF = 0
UERRIF = 1
ACTVIF = 2
TRNIF = 3
IDLEIF = 4
STALLIF = 5
SOFIF = 6

; UEIR
PIDEF = 0
CRC5EF = 1
CRC16EF = 2
DFN8EF = 3
BTOEF = 4
BTSEF = 7

; USTAT
PPBI = 1
DIR = 2
ENDP0 = 3
ENDP1 = 4
ENDP2 = 5
ENDP3 = 6

; UCON
SUSPND = 1
RESUME = 2
USBEN = 3
PKTDIS = 4
SE0 = 5
PPBRST = 6

; PMADDRH
CS1 = 6
CS2 = 7

; CMSTAT
COUT1 = 0
COUT2 = 1

; CMSTATUS
COUT1 = 0
COUT2 = 1

; SSP2CON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP2CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP2STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R_W = 2
D_A = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
R = 2
D = 5

; SSP2MSK
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; CCP5CON
CCP5M0 = 0
CCP5M1 = 1
CCP5M2 = 2
CCP5M3 = 3
DC5B0 = 4
DC5B1 = 5
DCCP5Y = 4
DCCP5X = 5
DC5Y = 4
DC5X = 5

; CCP4CON
CCP4M0 = 0
CCP4M1 = 1
CCP4M2 = 2
CCP4M3 = 3
DC4B0 = 4
DC4B1 = 5
DCCP4Y = 4
DCCP4X = 5
DC4Y = 4
DC4X = 5

; T4CON
TMR4ON = 2
T4CKPS0 = 0
T4CKPS1 = 1
T4OUTPS0 = 3
T4OUTPS1 = 4
T4OUTPS2 = 5
T4OUTPS3 = 6

; CVRCON
CVRSS = 4
CVRR = 5
CVROE = 6
CVREN = 7
CVR0 = 0
CVR1 = 1
CVR2 = 2
CVR3 = 3

; T3CON
TMR3ON = 0
TMR3CS = 1
NOT_T3SYNC = 2
T3CCP1 = 3
T3CCP2 = 6
RD16 = 7
T3SYNC = 2
T3CKPS0 = 4
T3CKPS1 = 5
T3INSYNC = 2

; BAUDCON2
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4
DTRXP = 5
RCMT = 6

; BAUDCON
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4
DTRXP = 5
RCMT = 6

; BAUDCON1
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4
DTRXP = 5
RCMT = 6

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
T0CKI = 4
AN4 = 5
OSC2 = 6
VREFM = 2
VREFP = 3
C2INA = 5
CLKO = 6

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
INT0 = 0
INT1 = 1
INT2 = 2
INT3 = 3
KBI0 = 4
KBI1 = 5
KBI2 = 6
KBI3 = 7
PMA4 = 1
PMA3 = 2
PMA2 = 3
PMA1 = 4
PMA0 = 5
FLT0 = 0
PGC = 5
PGD = 6

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7
T1OSO = 0
T1OSI = 1
CCP1 = 2
SCK = 3
SDI = 4
SDO = 5
TX = 6
RX = 7
T13CKI = 0
CCP2_PORTC = 1
SCL = 3
SDA = 4
CK = 6
; DT = 7
C2OUT = 5

; PORTD
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7
PMD0 = 0
PMD1 = 1
PMD2 = 2
PMD3 = 3
PMD4 = 4
PMD5 = 5
PMD6 = 6
PMD7 = 7
SDA2 = 5
SCL2 = 6
SS2 = 7
SDO2 = 4
SDI2 = 5
SCK2 = 6

; PORTE
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7
PMRD = 0
PMWR = 1
PMBE = 2
PMA13 = 3
PMA12 = 4
PMA11 = 5
PMA10 = 6
PMA9 = 7
REFO = 3
CCP2_PORTE = 7

; PORTF
RF2 = 2
RF3 = 3
RF4 = 4
RF5 = 5
RF6 = 6
RF7 = 7
AN7 = 2
AN10 = 5
AN11 = 6
SS = 7
CVREF = 5
C2INB = 2
C1INB = 5
C1INA = 6
C1OUT = 7
PMA5 = 2

; PORTG
RG0 = 0
RG1 = 1
RG2 = 2
RG3 = 3
RG4 = 4
REPU = 6
RDPU = 7
CCP3 = 0
TX2 = 1
RX2 = 2
CCP4 = 3
CCP5 = 4
CK2 = 1
DT2 = 2
PMA8 = 0
PMA7 = 1
PMA6 = 2
PMCS1 = 3
PMCS2 = 4

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; LATD
LATD0 = 0
LATD1 = 1
LATD2 = 2
LATD3 = 3
LATD4 = 4
LATD5 = 5
LATD6 = 6
LATD7 = 7

; LATE
LATE0 = 0
LATE1 = 1
LATE2 = 2
LATE3 = 3
LATE4 = 4
LATE5 = 5
LATE6 = 6
LATE7 = 7

; LATF
LATF2 = 2
LATF3 = 3
LATF4 = 4
LATF5 = 5
LATF6 = 6
LATF7 = 7

; LATG
LATG0 = 0
LATG1 = 1
LATG2 = 2
LATG3 = 3
LATG4 = 4

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; DDRB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; DDRC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; DDRD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; TRISD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; DDRE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
TRISE3 = 3
TRISE4 = 4
TRISE5 = 5
TRISE6 = 6
TRISE7 = 7
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7

; TRISE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
TRISE3 = 3
TRISE4 = 4
TRISE5 = 5
TRISE6 = 6
TRISE7 = 7
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7

; DDRF
TRISF2 = 2
TRISF3 = 3
TRISF4 = 4
TRISF5 = 5
TRISF6 = 6
TRISF7 = 7
RF2 = 2
RF3 = 3
RF4 = 4
RF5 = 5
RF6 = 6
RF7 = 7

; TRISF
TRISF2 = 2
TRISF3 = 3
TRISF4 = 4
TRISF5 = 5
TRISF6 = 6
TRISF7 = 7
RF2 = 2
RF3 = 3
RF4 = 4
RF5 = 5
RF6 = 6
RF7 = 7

; DDRG
TRISG0 = 0
TRISG1 = 1
TRISG2 = 2
TRISG3 = 3
TRISG4 = 4
RG0 = 0
RG1 = 1
RG2 = 2
RG3 = 3
RG4 = 4

; TRISG
TRISG0 = 0
TRISG1 = 1
TRISG2 = 2
TRISG3 = 3
TRISG4 = 4
RG0 = 0
RG1 = 1
RG2 = 2
RG3 = 3
RG4 = 4

; OSCTUNE
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5
PLLEN = 6
INTSRC = 7

; RCSTA2
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D2 = 0
OERR2 = 1
FERR2 = 2
ADDEN2 = 3
CREN2 = 4
SREN2 = 5
RX92 = 6
SPEN2 = 7

; PIE1
TMR1IE = 0
TMR2IE = 1
CCP1IE = 2
SSP1IE = 3
TX1IE = 4
RC1IE = 5
ADIE = 6
PMPIE = 7
SSPIE = 3
TXIE = 4
RCIE = 5

; PIR1
TMR1IF = 0
TMR2IF = 1
CCP1IF = 2
SSP1IF = 3
TX1IF = 4
RC1IF = 5
ADIF = 6
PMPIF = 7
SSPIF = 3
TXIF = 4
RCIF = 5

; IPR1
TMR1IP = 0
TMR2IP = 1
CCP1IP = 2
SSP1IP = 3
TX1IP = 4
RC1IP = 5
ADIP = 6
PMPIP = 7
SSPIP = 3
TXIP = 4
RCIP = 5

; PIE2
CCP2IE = 0
TMR3IE = 1
LVDIE = 2
BCL1IE = 3
USBIE = 4
CM1IE = 5
CM2IE = 6
OSCFIE = 7
BCLIE = 3

; PIR2
CCP2IF = 0
TMR3IF = 1
LVDIF = 2
BCL1IF = 3
USBIF = 4
CM1IF = 5
CM2IF = 6
OSCFIF = 7
BCLIF = 3

; IPR2
CCP2IP = 0
TMR3IP = 1
LVDIP = 2
BCL1IP = 3
USBIP = 4
CM1IP = 5
CM2IP = 6
OSCFIP = 7
BCLIP = 3

; PIE3
CCP3IE = 0
CCP4IE = 1
CCP5IE = 2
TMR4IE = 3
TX2IE = 4
RC2IE = 5
BCL2IE = 6
SSP2IE = 7

; PIR3
CCP3IF = 0
CCP4IF = 1
CCP5IF = 2
TMR4IF = 3
TX2IF = 4
RC2IF = 5
BCL2IF = 6
SSP2IF = 7

; IPR3
CCP3IP = 0
CCP4IP = 1
CCP5IP = 2
TMR4IP = 3
TX2IP = 4
RC2IP = 5
BCL2IP = 6
SSP2IP = 7

; EECON1
WR = 1
WREN = 2
WRERR = 3
FREE = 4
WPROG = 5

; TXSTA2
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D2 = 0
TRMT2 = 1
BRGH2 = 2
SENDB2 = 3
SYNC2 = 4
TXEN2 = 5
TX92 = 6
CSRC2 = 7

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; RCSTA1
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; TXSTA1
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; CCP3CON
CCP3M0 = 0
CCP3M1 = 1
CCP3M2 = 2
CCP3M3 = 3
DC3B0 = 4
DC3B1 = 5
P3M0 = 6
P3M1 = 7
CCP3Y = 4
CCP3X = 5

; ECCP3CON
CCP3M0 = 0
CCP3M1 = 1
CCP3M2 = 2
CCP3M3 = 3
DC3B0 = 4
DC3B1 = 5
P3M0 = 6
P3M1 = 7
CCP3Y = 4
CCP3X = 5

; ECCP3DEL
PRSEN = 7
PDC0 = 0
PDC1 = 1
PDC2 = 2
PDC3 = 3
PDC4 = 4
PDC5 = 5
PDC6 = 6
P3DC0 = 0
P3DC1 = 1
P3DC2 = 2
P3DC3 = 3
P3DC4 = 4
P3DC5 = 5
P3DC6 = 6
P3RSEN = 7

; ECCP3AS
ECCPASE = 7
PSSBD0 = 0
PSSBD1 = 1
PSSAC0 = 2
PSSAC1 = 3
ECCPAS0 = 4
ECCPAS1 = 5
ECCPAS2 = 6
PSS3BD0 = 0
PSS3BD1 = 1
PSS3AC0 = 2
PSS3AC1 = 3
ECCP3AS0 = 4
ECCP3AS1 = 5
ECCP3AS2 = 6
ECCP3ASE = 7

; CCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
P2M0 = 6
P2M1 = 7
CCP2Y = 4
CCP2X = 5

; ECCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
P2M0 = 6
P2M1 = 7
CCP2Y = 4
CCP2X = 5

; ECCP2DEL
PRSEN = 7
PDC0 = 0
PDC1 = 1
PDC2 = 2
PDC3 = 3
PDC4 = 4
PDC5 = 5
PDC6 = 6
P2DC0 = 0
P2DC1 = 1
P2DC2 = 2
P2DC3 = 3
P2DC4 = 4
P2DC5 = 5
P2DC6 = 6
P2RSEN = 7

; ECCP2AS
ECCPASE = 7
PSSBD0 = 0
PSSBD1 = 1
PSSAC0 = 2
PSSAC1 = 3
ECCPAS0 = 4
ECCPAS1 = 5
ECCPAS2 = 6
PSS2BD0 = 0
PSS2BD1 = 1
PSS2AC0 = 2
PSS2AC1 = 3
ECCP2AS0 = 4
ECCP2AS1 = 5
ECCP2AS2 = 6
ECCP2ASE = 7

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ECCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ECCP1DEL
PRSEN = 7
PDC0 = 0
PDC1 = 1
PDC2 = 2
PDC3 = 3
PDC4 = 4
PDC5 = 5
PDC6 = 6
P1DC0 = 0
P1DC1 = 1
P1DC2 = 2
P1DC3 = 3
P1DC4 = 4
P1DC5 = 5
P1DC6 = 6
P1RSEN = 7

; ECCP1AS
ECCPASE = 7
PSSBD0 = 0
PSSBD1 = 1
PSSAC0 = 2
PSSAC1 = 3
ECCPAS0 = 4
ECCPAS1 = 5
ECCPAS2 = 6
PSS1BD0 = 0
PSS1BD1 = 1
PSS1AC0 = 2
PSS1AC1 = 3
ECCP1AS0 = 4
ECCP1AS1 = 5
ECCP1AS2 = 6
ECCP1ASE = 7

; WDTCON
SWDTEN = 0
ADSHR = 4
LVDSTAT = 6
REGSLP = 7
SWDTE = 0
DEVCFG = 4

; ADCON1
ADCAL = 6
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ANCON0
PCFG0 = 0
PCFG1 = 1
PCFG2 = 2
PCFG3 = 3
PCFG4 = 4
PCFG7 = 7

; ADCON0
ADON = 0
GO_NOT_DONE = 1
DONE = 1
CHS0 = 2
CHS1 = 3
CHS2 = 4
CHS3 = 5
VCFG0 = 6
VCFG1 = 7
GO_DONE = 1
GO = 1
NOT_DONE = 1

; ANCON1
PCFG10 = 2
PCFG11 = 3
PCFG12 = 4
PCFG13 = 5
PCFG14 = 6
PCFG15 = 7

; SSP1CON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP1CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP1STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R_W = 2
D_A = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
R = 2
D = 5

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R_W = 2
D_A = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
R = 2
D = 5

; SSP1MSK
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
T2OUTPS0 = 3
T2OUTPS1 = 4
T2OUTPS2 = 5
T2OUTPS3 = 6

; PADCFG1
PMPTL = 0
PMPTTL = 0

; ODCON3
SPI1OD = 0
SPI2OD = 1

; T1CON
TMR1ON = 0
TMR1CS = 1
NOT_T1SYNC = 2
T1OSCEN = 3
T1RUN = 6
RD16 = 7
T1SYNC = 2
T1CKPS0 = 4
T1CKPS1 = 5
T1INSYNC = 2

; ODCON2
USART1OD = 0
USART2OD = 1
U1OD = 0
U2OD = 1

; ODCON1
ECCP1OD = 0
ECCP2OD = 1
ECCP3OD = 2
CCP4OD = 3
CCP5OD = 4

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
NOT_CM = 5
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4
CM = 5

; CM2CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
C1CH0 = 0
C1CH1 = 1
EVPOL0 = 3
EVPOL1 = 4
CCH0 = 0
CCH1 = 1
C1CH02 = 0
C1CH12 = 1
CREF2 = 2
EVPOL02 = 3
EVPOL12 = 4
CPOL2 = 5
COE2 = 6
CON2 = 7

; CM2CON1
CREF = 2
CPOL = 5
COE = 6
CON = 7
C1CH0 = 0
C1CH1 = 1
EVPOL0 = 3
EVPOL1 = 4
CCH0 = 0
CCH1 = 1
C1CH02 = 0
C1CH12 = 1
CREF2 = 2
EVPOL02 = 3
EVPOL12 = 4
CPOL2 = 5
COE2 = 6
CON2 = 7

; CM1CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
C1CH0 = 0
C1CH1 = 1
EVPOL0 = 3
EVPOL1 = 4
CCH0 = 0
CCH1 = 1

; CM1CON1
CREF = 2
CPOL = 5
COE = 6
CON = 7
C1CH0 = 0
C1CH1 = 1
EVPOL0 = 3
EVPOL1 = 4
CCH0 = 0
CCH1 = 1

; OSCCON
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; REFOCON
ROSEL = 4
ROSSLP = 5
ROON = 7
RODIV0 = 0
RODIV1 = 1
RODIV2 = 2
RODIV3 = 3

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2
T0PS3 = 3

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT3IF = 2
INT1IE = 3
INT2IE = 4
INT3IE = 5
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT3F = 2
INT1E = 3
INT2E = 4
INT3E = 5
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
INT3IP = 1
TMR0IP = 2
INTEDG3 = 3
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
INT3P = 1
T0IP = 2
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
STKPTR0 = 0
STKPTR1 = 1
STKPTR2 = 2
STKPTR3 = 3
STKPTR4 = 4
STKOVF = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4

; LIST
